.\" $NetBSD: acpiec.4,v 1.3 2007/12/12 21:12:45 xtraeme Exp $
.\"
.\" Copyright (c) 2002, 2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 12, 2007
.Dt ACPIEC 4
.Os
.Sh NAME
.Nm acpiec
.Nd ACPI Embedded Controller
.Sh SYNOPSIS
.Cd "acpiec* at acpi?"
.Cd "acpiecdt* at acpi?"
.Sh DESCRIPTION
The
.Nm
driver supports ACPI Embedded Controllers.
.Pp
It provides
embedded controller access for other ACPI devices.
On many systems which have an
.Nm
device, other ACPI devices such as
.Xr acpiacad 4 ,
.Xr acpibat 4 ,
or
.Xr acpitz 4
implicitly depend on the
.Nm
device.
Therefore it is a good idea to enable
.Nm
with other ACPI devices unless you are sure
the system does not have an
.Nm
device.
.Sh SEE ALSO
.Xr acpi 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.6 .
